%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version:    5.3.0
Release:    3%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0:	https://tarballs.openstack.org/tripleo-image-elements/tripleo-image-elements-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.3.0
#
Patch0001: 0001-Add-element-to-customize-dracut-on-the-agent.patch
Patch0002: 0002-Fix-environment.d-path-for-ironic-agent-multipath.patch
Patch0003: 0003-51-hosts-fails-if-given-lots-of-changes.patch

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%post
manifest_file=/etc/dib-manifests/dib-element-manifest

if [ -f $manifest_file ]; then
    source /usr/share/diskimage-builder/lib/common-functions
    TMP_HOOKS_PATH=$(mktemp -d)
    IMAGE_ELEMENT=$(cat $manifest_file)
    ELEMENTS_PATH=/usr/share/instack-undercloud/:/usr/share/tripleo-image-elements/:/usr/share/diskimage-builder/elements/
    generate_hooks

    # os-apply-config templates
    TEMPLATE_ROOT=/usr/libexec/os-apply-config/templates
    if [ -d $TEMPLATE_ROOT ]; then
	TEMPLATE_SOURCE=$TMP_HOOKS_PATH/os-apply-config
	rsync --delete --exclude='.*.swp' -Cr $TEMPLATE_SOURCE/ $TEMPLATE_ROOT/
    fi

    # os-refresh-config scripts
    SCRIPT_BASE=/usr/libexec/os-refresh-config
    if [ -d $SCRIPT_BASE ]; then
	SCRIPT_SOURCE=$TMP_HOOKS_PATH/os-refresh-config
	rsync --delete -r $SCRIPT_SOURCE/ $SCRIPT_BASE/
    fi

    # bin files
    if [ -d /usr/local/bin ]; then
        install -m 0755 -o root -g root $TMP_HOOKS_PATH/bin/* /usr/local/bin
    fi
fi

# be sure to always exit true
true

%files
%doc LICENSE
%doc README.md
%doc AUTHORS
%doc ChangeLog
%{python_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Mon Aug 28 2017 Alex Schultz <aschultz@redhat.com> 5.3.0-3
- 51-hosts fails if given lots of changes (rhbz#1484533)

* Mon Aug 07 2017 Steve Linabery <slinaber@redhat.com> 5.3.0-2
- Fix environment.d path for ironic-agent-multipath
- Add element to customize dracut on the agent

* Mon Aug 07 2017 Steve Linabery <slinaber@redhat.com> 5.3.0-1
- Update to 5.3.0

* Wed Mar 15 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-2
- rebase to upstream/stable/newton (rhbz#1432631)
- Set correct content-type for o-r-c curl calls (lp#1432631)

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-1
- Update to 5.2.0

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-1
- Update to 5.1.0

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-2
- Make 'module' directives match filenames

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0

* Fri Sep 30 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.3.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 21 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.2.0rc1
- Update to 5.0.0.0rc1

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3

